Makefile.in 25 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837
  1. # Makefile.in generated by automake 1.15 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2014 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. VPATH = @srcdir@
  13. am__is_gnu_make = { \
  14. if test -z '$(MAKELEVEL)'; then \
  15. false; \
  16. elif test -n '$(MAKE_HOST)'; then \
  17. true; \
  18. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  19. true; \
  20. else \
  21. false; \
  22. fi; \
  23. }
  24. am__make_running_with_option = \
  25. case $${target_option-} in \
  26. ?) ;; \
  27. *) echo "am__make_running_with_option: internal error: invalid" \
  28. "target option '$${target_option-}' specified" >&2; \
  29. exit 1;; \
  30. esac; \
  31. has_opt=no; \
  32. sane_makeflags=$$MAKEFLAGS; \
  33. if $(am__is_gnu_make); then \
  34. sane_makeflags=$$MFLAGS; \
  35. else \
  36. case $$MAKEFLAGS in \
  37. *\\[\ \ ]*) \
  38. bs=\\; \
  39. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  40. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  41. esac; \
  42. fi; \
  43. skip_next=no; \
  44. strip_trailopt () \
  45. { \
  46. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  47. }; \
  48. for flg in $$sane_makeflags; do \
  49. test $$skip_next = yes && { skip_next=no; continue; }; \
  50. case $$flg in \
  51. *=*|--*) continue;; \
  52. -*I) strip_trailopt 'I'; skip_next=yes;; \
  53. -*I?*) strip_trailopt 'I';; \
  54. -*O) strip_trailopt 'O'; skip_next=yes;; \
  55. -*O?*) strip_trailopt 'O';; \
  56. -*l) strip_trailopt 'l'; skip_next=yes;; \
  57. -*l?*) strip_trailopt 'l';; \
  58. -[dEDm]) skip_next=yes;; \
  59. -[JT]) skip_next=yes;; \
  60. esac; \
  61. case $$flg in \
  62. *$$target_option*) has_opt=yes; break;; \
  63. esac; \
  64. done; \
  65. test $$has_opt = yes
  66. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  67. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  68. pkgdatadir = $(datadir)/@PACKAGE@
  69. pkgincludedir = $(includedir)/@PACKAGE@
  70. pkglibdir = $(libdir)/@PACKAGE@
  71. pkglibexecdir = $(libexecdir)/@PACKAGE@
  72. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  73. install_sh_DATA = $(install_sh) -c -m 644
  74. install_sh_PROGRAM = $(install_sh) -c
  75. install_sh_SCRIPT = $(install_sh) -c
  76. INSTALL_HEADER = $(INSTALL_DATA)
  77. transform = $(program_transform_name)
  78. NORMAL_INSTALL = :
  79. PRE_INSTALL = :
  80. POST_INSTALL = :
  81. NORMAL_UNINSTALL = :
  82. PRE_UNINSTALL = :
  83. POST_UNINSTALL = :
  84. subdir = .
  85. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  86. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  87. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  88. $(ACLOCAL_M4)
  89. DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
  90. $(am__configure_deps) $(am__DIST_COMMON)
  91. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  92. configure.lineno config.status.lineno
  93. mkinstalldirs = $(install_sh) -d
  94. CONFIG_HEADER = config.h
  95. CONFIG_CLEAN_FILES =
  96. CONFIG_CLEAN_VPATH_FILES =
  97. AM_V_P = $(am__v_P_@AM_V@)
  98. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  99. am__v_P_0 = false
  100. am__v_P_1 = :
  101. AM_V_GEN = $(am__v_GEN_@AM_V@)
  102. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  103. am__v_GEN_0 = @echo " GEN " $@;
  104. am__v_GEN_1 =
  105. AM_V_at = $(am__v_at_@AM_V@)
  106. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  107. am__v_at_0 = @
  108. am__v_at_1 =
  109. SOURCES =
  110. DIST_SOURCES =
  111. RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  112. ctags-recursive dvi-recursive html-recursive info-recursive \
  113. install-data-recursive install-dvi-recursive \
  114. install-exec-recursive install-html-recursive \
  115. install-info-recursive install-pdf-recursive \
  116. install-ps-recursive install-recursive installcheck-recursive \
  117. installdirs-recursive pdf-recursive ps-recursive \
  118. tags-recursive uninstall-recursive
  119. am__can_run_installinfo = \
  120. case $$AM_UPDATE_INFO_DIR in \
  121. n|no|NO) false;; \
  122. *) (install-info --version) >/dev/null 2>&1;; \
  123. esac
  124. RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
  125. distclean-recursive maintainer-clean-recursive
  126. am__recursive_targets = \
  127. $(RECURSIVE_TARGETS) \
  128. $(RECURSIVE_CLEAN_TARGETS) \
  129. $(am__extra_recursive_targets)
  130. AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  131. cscope distdir dist dist-all distcheck
  132. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
  133. $(LISP)config.h.in
  134. # Read a list of newline-separated strings from the standard input,
  135. # and print each of them once, without duplicates. Input order is
  136. # *not* preserved.
  137. am__uniquify_input = $(AWK) '\
  138. BEGIN { nonempty = 0; } \
  139. { items[$$0] = 1; nonempty = 1; } \
  140. END { if (nonempty) { for (i in items) print i; }; } \
  141. '
  142. # Make sure the list of sources is unique. This is necessary because,
  143. # e.g., the same source file might be shared among _SOURCES variables
  144. # for different programs/libraries.
  145. am__define_uniq_tagged_files = \
  146. list='$(am__tagged_files)'; \
  147. unique=`for i in $$list; do \
  148. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  149. done | $(am__uniquify_input)`
  150. ETAGS = etags
  151. CTAGS = ctags
  152. CSCOPE = cscope
  153. DIST_SUBDIRS = $(SUBDIRS)
  154. am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in AUTHORS \
  155. COPYING ChangeLog INSTALL NEWS README TODO compile install-sh \
  156. missing
  157. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  158. distdir = $(PACKAGE)-$(VERSION)
  159. top_distdir = $(distdir)
  160. am__remove_distdir = \
  161. if test -d "$(distdir)"; then \
  162. find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  163. && rm -rf "$(distdir)" \
  164. || { sleep 5 && rm -rf "$(distdir)"; }; \
  165. else :; fi
  166. am__post_remove_distdir = $(am__remove_distdir)
  167. am__relativize = \
  168. dir0=`pwd`; \
  169. sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  170. sed_rest='s,^[^/]*/*,,'; \
  171. sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  172. sed_butlast='s,/*[^/]*$$,,'; \
  173. while test -n "$$dir1"; do \
  174. first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  175. if test "$$first" != "."; then \
  176. if test "$$first" = ".."; then \
  177. dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  178. dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  179. else \
  180. first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  181. if test "$$first2" = "$$first"; then \
  182. dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  183. else \
  184. dir2="../$$dir2"; \
  185. fi; \
  186. dir0="$$dir0"/"$$first"; \
  187. fi; \
  188. fi; \
  189. dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  190. done; \
  191. reldir="$$dir2"
  192. DIST_ARCHIVES = $(distdir).tar.gz
  193. GZIP_ENV = --best
  194. DIST_TARGETS = dist-gzip
  195. distuninstallcheck_listfiles = find . -type f -print
  196. am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  197. | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  198. distcleancheck_listfiles = find . -type f -print
  199. ACLOCAL = @ACLOCAL@
  200. ALL_LINGUAS = @ALL_LINGUAS@
  201. AMTAR = @AMTAR@
  202. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  203. AUTOCONF = @AUTOCONF@
  204. AUTOHEADER = @AUTOHEADER@
  205. AUTOMAKE = @AUTOMAKE@
  206. AWK = @AWK@
  207. CATALOGS = @CATALOGS@
  208. CATOBJEXT = @CATOBJEXT@
  209. CC = @CC@
  210. CCDEPMODE = @CCDEPMODE@
  211. CFLAGS = @CFLAGS@
  212. CPP = @CPP@
  213. CPPFLAGS = @CPPFLAGS@
  214. CYGPATH_W = @CYGPATH_W@
  215. DATADIRNAME = @DATADIRNAME@
  216. DEFS = @DEFS@
  217. DEPDIR = @DEPDIR@
  218. ECHO_C = @ECHO_C@
  219. ECHO_N = @ECHO_N@
  220. ECHO_T = @ECHO_T@
  221. EGREP = @EGREP@
  222. EXEEXT = @EXEEXT@
  223. GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
  224. GLIB_COMPILE_SCHEMAS = @GLIB_COMPILE_SCHEMAS@
  225. GMOFILES = @GMOFILES@
  226. GMSGFMT = @GMSGFMT@
  227. GREP = @GREP@
  228. GSETTINGS_CFLAGS = @GSETTINGS_CFLAGS@
  229. GSETTINGS_DISABLE_SCHEMAS_COMPILE = @GSETTINGS_DISABLE_SCHEMAS_COMPILE@
  230. GSETTINGS_LIBS = @GSETTINGS_LIBS@
  231. GTK_CFLAGS = @GTK_CFLAGS@
  232. GTK_LIBS = @GTK_LIBS@
  233. INSTALL = @INSTALL@
  234. INSTALL_DATA = @INSTALL_DATA@
  235. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  236. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  237. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  238. INSTOBJEXT = @INSTOBJEXT@
  239. INTLLIBS = @INTLLIBS@
  240. INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
  241. INTLTOOL_MERGE = @INTLTOOL_MERGE@
  242. INTLTOOL_PERL = @INTLTOOL_PERL@
  243. INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
  244. INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
  245. INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
  246. INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
  247. INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
  248. LDFLAGS = @LDFLAGS@
  249. LIBOBJS = @LIBOBJS@
  250. LIBS = @LIBS@
  251. LTLIBOBJS = @LTLIBOBJS@
  252. MAKEINFO = @MAKEINFO@
  253. MKDIR_P = @MKDIR_P@
  254. MKINSTALLDIRS = @MKINSTALLDIRS@
  255. MSGFMT = @MSGFMT@
  256. MSGFMT_OPTS = @MSGFMT_OPTS@
  257. MSGMERGE = @MSGMERGE@
  258. OBJEXT = @OBJEXT@
  259. PACKAGE = @PACKAGE@
  260. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  261. PACKAGE_NAME = @PACKAGE_NAME@
  262. PACKAGE_STRING = @PACKAGE_STRING@
  263. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  264. PACKAGE_URL = @PACKAGE_URL@
  265. PACKAGE_VERSION = @PACKAGE_VERSION@
  266. PATH_SEPARATOR = @PATH_SEPARATOR@
  267. PKG_CONFIG = @PKG_CONFIG@
  268. PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  269. PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  270. POFILES = @POFILES@
  271. POSUB = @POSUB@
  272. PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
  273. PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
  274. SET_MAKE = @SET_MAKE@
  275. SHELL = @SHELL@
  276. STRIP = @STRIP@
  277. USE_NLS = @USE_NLS@
  278. VERSION = @VERSION@
  279. XGETTEXT = @XGETTEXT@
  280. abs_builddir = @abs_builddir@
  281. abs_srcdir = @abs_srcdir@
  282. abs_top_builddir = @abs_top_builddir@
  283. abs_top_srcdir = @abs_top_srcdir@
  284. ac_ct_CC = @ac_ct_CC@
  285. am__include = @am__include@
  286. am__leading_dot = @am__leading_dot@
  287. am__quote = @am__quote@
  288. am__tar = @am__tar@
  289. am__untar = @am__untar@
  290. bindir = @bindir@
  291. build_alias = @build_alias@
  292. builddir = @builddir@
  293. datadir = @datadir@
  294. datarootdir = @datarootdir@
  295. docdir = @docdir@
  296. dvidir = @dvidir@
  297. exec_prefix = @exec_prefix@
  298. gsettingsschemadir = @gsettingsschemadir@
  299. host_alias = @host_alias@
  300. htmldir = @htmldir@
  301. includedir = @includedir@
  302. infodir = @infodir@
  303. install_sh = @install_sh@
  304. intltool__v_merge_options_ = @intltool__v_merge_options_@
  305. intltool__v_merge_options_0 = @intltool__v_merge_options_0@
  306. libdir = @libdir@
  307. libexecdir = @libexecdir@
  308. localedir = @localedir@
  309. localstatedir = @localstatedir@
  310. mandir = @mandir@
  311. mkdir_p = @mkdir_p@
  312. oldincludedir = @oldincludedir@
  313. pdfdir = @pdfdir@
  314. prefix = @prefix@
  315. program_transform_name = @program_transform_name@
  316. psdir = @psdir@
  317. sbindir = @sbindir@
  318. sharedstatedir = @sharedstatedir@
  319. srcdir = @srcdir@
  320. sysconfdir = @sysconfdir@
  321. target_alias = @target_alias@
  322. top_build_prefix = @top_build_prefix@
  323. top_builddir = @top_builddir@
  324. top_srcdir = @top_srcdir@
  325. SUBDIRS = src data po
  326. EXTRA_DIST = \
  327. data/gtkpasman.desktop\
  328. data/gpasman4.sample\
  329. data/gtkpasman.gschema.xml\
  330. debian/copyright\
  331. debian/control\
  332. debian/docs\
  333. debian/changelog\
  334. debian/compat\
  335. debian/rules\
  336. dists/gentoo\
  337. autogen.sh\
  338. AUTHORS\
  339. ChangeLog\
  340. COPYING\
  341. INSTALL\
  342. NEWS\
  343. README
  344. MAINTAINERCLEANFILES = \
  345. aclocal.m4\
  346. compile\
  347. config.h.in\
  348. config.h.in~\
  349. configure\
  350. depcomp\
  351. install-sh\
  352. Makefile.in\
  353. missing\
  354. src/Makefile.in\
  355. data/Makefile.in
  356. all: config.h
  357. $(MAKE) $(AM_MAKEFLAGS) all-recursive
  358. .SUFFIXES:
  359. am--refresh: Makefile
  360. @:
  361. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  362. @for dep in $?; do \
  363. case '$(am__configure_deps)' in \
  364. *$$dep*) \
  365. echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
  366. $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
  367. && exit 0; \
  368. exit 1;; \
  369. esac; \
  370. done; \
  371. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
  372. $(am__cd) $(top_srcdir) && \
  373. $(AUTOMAKE) --gnu Makefile
  374. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  375. @case '$?' in \
  376. *config.status*) \
  377. echo ' $(SHELL) ./config.status'; \
  378. $(SHELL) ./config.status;; \
  379. *) \
  380. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  381. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  382. esac;
  383. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  384. $(SHELL) ./config.status --recheck
  385. $(top_srcdir)/configure: $(am__configure_deps)
  386. $(am__cd) $(srcdir) && $(AUTOCONF)
  387. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  388. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  389. $(am__aclocal_m4_deps):
  390. config.h: stamp-h1
  391. @test -f $@ || rm -f stamp-h1
  392. @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
  393. stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  394. @rm -f stamp-h1
  395. cd $(top_builddir) && $(SHELL) ./config.status config.h
  396. $(srcdir)/config.h.in: $(am__configure_deps)
  397. ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  398. rm -f stamp-h1
  399. touch $@
  400. distclean-hdr:
  401. -rm -f config.h stamp-h1
  402. # This directory's subdirectories are mostly independent; you can cd
  403. # into them and run 'make' without going through this Makefile.
  404. # To change the values of 'make' variables: instead of editing Makefiles,
  405. # (1) if the variable is set in 'config.status', edit 'config.status'
  406. # (which will cause the Makefiles to be regenerated when you run 'make');
  407. # (2) otherwise, pass the desired values on the 'make' command line.
  408. $(am__recursive_targets):
  409. @fail=; \
  410. if $(am__make_keepgoing); then \
  411. failcom='fail=yes'; \
  412. else \
  413. failcom='exit 1'; \
  414. fi; \
  415. dot_seen=no; \
  416. target=`echo $@ | sed s/-recursive//`; \
  417. case "$@" in \
  418. distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  419. *) list='$(SUBDIRS)' ;; \
  420. esac; \
  421. for subdir in $$list; do \
  422. echo "Making $$target in $$subdir"; \
  423. if test "$$subdir" = "."; then \
  424. dot_seen=yes; \
  425. local_target="$$target-am"; \
  426. else \
  427. local_target="$$target"; \
  428. fi; \
  429. ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  430. || eval $$failcom; \
  431. done; \
  432. if test "$$dot_seen" = "no"; then \
  433. $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  434. fi; test -z "$$fail"
  435. ID: $(am__tagged_files)
  436. $(am__define_uniq_tagged_files); mkid -fID $$unique
  437. tags: tags-recursive
  438. TAGS: tags
  439. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  440. set x; \
  441. here=`pwd`; \
  442. if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  443. include_option=--etags-include; \
  444. empty_fix=.; \
  445. else \
  446. include_option=--include; \
  447. empty_fix=; \
  448. fi; \
  449. list='$(SUBDIRS)'; for subdir in $$list; do \
  450. if test "$$subdir" = .; then :; else \
  451. test ! -f $$subdir/TAGS || \
  452. set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  453. fi; \
  454. done; \
  455. $(am__define_uniq_tagged_files); \
  456. shift; \
  457. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  458. test -n "$$unique" || unique=$$empty_fix; \
  459. if test $$# -gt 0; then \
  460. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  461. "$$@" $$unique; \
  462. else \
  463. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  464. $$unique; \
  465. fi; \
  466. fi
  467. ctags: ctags-recursive
  468. CTAGS: ctags
  469. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  470. $(am__define_uniq_tagged_files); \
  471. test -z "$(CTAGS_ARGS)$$unique" \
  472. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  473. $$unique
  474. GTAGS:
  475. here=`$(am__cd) $(top_builddir) && pwd` \
  476. && $(am__cd) $(top_srcdir) \
  477. && gtags -i $(GTAGS_ARGS) "$$here"
  478. cscope: cscope.files
  479. test ! -s cscope.files \
  480. || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  481. clean-cscope:
  482. -rm -f cscope.files
  483. cscope.files: clean-cscope cscopelist
  484. cscopelist: cscopelist-recursive
  485. cscopelist-am: $(am__tagged_files)
  486. list='$(am__tagged_files)'; \
  487. case "$(srcdir)" in \
  488. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  489. *) sdir=$(subdir)/$(srcdir) ;; \
  490. esac; \
  491. for i in $$list; do \
  492. if test -f "$$i"; then \
  493. echo "$(subdir)/$$i"; \
  494. else \
  495. echo "$$sdir/$$i"; \
  496. fi; \
  497. done >> $(top_builddir)/cscope.files
  498. distclean-tags:
  499. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  500. -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  501. distdir: $(DISTFILES)
  502. $(am__remove_distdir)
  503. test -d "$(distdir)" || mkdir "$(distdir)"
  504. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  505. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  506. list='$(DISTFILES)'; \
  507. dist_files=`for file in $$list; do echo $$file; done | \
  508. sed -e "s|^$$srcdirstrip/||;t" \
  509. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  510. case $$dist_files in \
  511. */*) $(MKDIR_P) `echo "$$dist_files" | \
  512. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  513. sort -u` ;; \
  514. esac; \
  515. for file in $$dist_files; do \
  516. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  517. if test -d $$d/$$file; then \
  518. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  519. if test -d "$(distdir)/$$file"; then \
  520. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  521. fi; \
  522. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  523. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  524. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  525. fi; \
  526. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  527. else \
  528. test -f "$(distdir)/$$file" \
  529. || cp -p $$d/$$file "$(distdir)/$$file" \
  530. || exit 1; \
  531. fi; \
  532. done
  533. @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  534. if test "$$subdir" = .; then :; else \
  535. $(am__make_dryrun) \
  536. || test -d "$(distdir)/$$subdir" \
  537. || $(MKDIR_P) "$(distdir)/$$subdir" \
  538. || exit 1; \
  539. dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  540. $(am__relativize); \
  541. new_distdir=$$reldir; \
  542. dir1=$$subdir; dir2="$(top_distdir)"; \
  543. $(am__relativize); \
  544. new_top_distdir=$$reldir; \
  545. echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  546. echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  547. ($(am__cd) $$subdir && \
  548. $(MAKE) $(AM_MAKEFLAGS) \
  549. top_distdir="$$new_top_distdir" \
  550. distdir="$$new_distdir" \
  551. am__remove_distdir=: \
  552. am__skip_length_check=: \
  553. am__skip_mode_fix=: \
  554. distdir) \
  555. || exit 1; \
  556. fi; \
  557. done
  558. -test -n "$(am__skip_mode_fix)" \
  559. || find "$(distdir)" -type d ! -perm -755 \
  560. -exec chmod u+rwx,go+rx {} \; -o \
  561. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  562. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  563. ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  564. || chmod -R a+r "$(distdir)"
  565. dist-gzip: distdir
  566. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  567. $(am__post_remove_distdir)
  568. dist-bzip2: distdir
  569. tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  570. $(am__post_remove_distdir)
  571. dist-lzip: distdir
  572. tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  573. $(am__post_remove_distdir)
  574. dist-xz: distdir
  575. tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  576. $(am__post_remove_distdir)
  577. dist-tarZ: distdir
  578. @echo WARNING: "Support for distribution archives compressed with" \
  579. "legacy program 'compress' is deprecated." >&2
  580. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  581. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  582. $(am__post_remove_distdir)
  583. dist-shar: distdir
  584. @echo WARNING: "Support for shar distribution archives is" \
  585. "deprecated." >&2
  586. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  587. shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  588. $(am__post_remove_distdir)
  589. dist-zip: distdir
  590. -rm -f $(distdir).zip
  591. zip -rq $(distdir).zip $(distdir)
  592. $(am__post_remove_distdir)
  593. dist dist-all:
  594. $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  595. $(am__post_remove_distdir)
  596. # This target untars the dist file and tries a VPATH configuration. Then
  597. # it guarantees that the distribution is self-contained by making another
  598. # tarfile.
  599. distcheck: dist
  600. case '$(DIST_ARCHIVES)' in \
  601. *.tar.gz*) \
  602. GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
  603. *.tar.bz2*) \
  604. bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  605. *.tar.lz*) \
  606. lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  607. *.tar.xz*) \
  608. xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  609. *.tar.Z*) \
  610. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  611. *.shar.gz*) \
  612. GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
  613. *.zip*) \
  614. unzip $(distdir).zip ;;\
  615. esac
  616. chmod -R a-w $(distdir)
  617. chmod u+w $(distdir)
  618. mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
  619. chmod a-w $(distdir)
  620. test -d $(distdir)/_build || exit 0; \
  621. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  622. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  623. && am__cwd=`pwd` \
  624. && $(am__cd) $(distdir)/_build/sub \
  625. && ../../configure \
  626. $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  627. $(DISTCHECK_CONFIGURE_FLAGS) \
  628. --srcdir=../.. --prefix="$$dc_install_base" \
  629. && $(MAKE) $(AM_MAKEFLAGS) \
  630. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  631. && $(MAKE) $(AM_MAKEFLAGS) check \
  632. && $(MAKE) $(AM_MAKEFLAGS) install \
  633. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  634. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  635. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  636. distuninstallcheck \
  637. && chmod -R a-w "$$dc_install_base" \
  638. && ({ \
  639. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  640. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  641. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  642. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  643. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  644. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  645. && rm -rf "$$dc_destdir" \
  646. && $(MAKE) $(AM_MAKEFLAGS) dist \
  647. && rm -rf $(DIST_ARCHIVES) \
  648. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  649. && cd "$$am__cwd" \
  650. || exit 1
  651. $(am__post_remove_distdir)
  652. @(echo "$(distdir) archives ready for distribution: "; \
  653. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  654. sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  655. distuninstallcheck:
  656. @test -n '$(distuninstallcheck_dir)' || { \
  657. echo 'ERROR: trying to run $@ with an empty' \
  658. '$$(distuninstallcheck_dir)' >&2; \
  659. exit 1; \
  660. }; \
  661. $(am__cd) '$(distuninstallcheck_dir)' || { \
  662. echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  663. exit 1; \
  664. }; \
  665. test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  666. || { echo "ERROR: files left after uninstall:" ; \
  667. if test -n "$(DESTDIR)"; then \
  668. echo " (check DESTDIR support)"; \
  669. fi ; \
  670. $(distuninstallcheck_listfiles) ; \
  671. exit 1; } >&2
  672. distcleancheck: distclean
  673. @if test '$(srcdir)' = . ; then \
  674. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  675. exit 1 ; \
  676. fi
  677. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  678. || { echo "ERROR: files left in build directory after distclean:" ; \
  679. $(distcleancheck_listfiles) ; \
  680. exit 1; } >&2
  681. check-am: all-am
  682. check: check-recursive
  683. all-am: Makefile config.h
  684. installdirs: installdirs-recursive
  685. installdirs-am:
  686. install: install-recursive
  687. install-exec: install-exec-recursive
  688. install-data: install-data-recursive
  689. uninstall: uninstall-recursive
  690. install-am: all-am
  691. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  692. installcheck: installcheck-recursive
  693. install-strip:
  694. if test -z '$(STRIP)'; then \
  695. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  696. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  697. install; \
  698. else \
  699. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  700. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  701. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  702. fi
  703. mostlyclean-generic:
  704. clean-generic:
  705. distclean-generic:
  706. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  707. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  708. maintainer-clean-generic:
  709. @echo "This command is intended for maintainers to use"
  710. @echo "it deletes files that may require special tools to rebuild."
  711. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  712. clean: clean-recursive
  713. clean-am: clean-generic mostlyclean-am
  714. distclean: distclean-recursive
  715. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  716. -rm -f Makefile
  717. distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
  718. dvi: dvi-recursive
  719. dvi-am:
  720. html: html-recursive
  721. html-am:
  722. info: info-recursive
  723. info-am:
  724. install-data-am:
  725. install-dvi: install-dvi-recursive
  726. install-dvi-am:
  727. install-exec-am:
  728. install-html: install-html-recursive
  729. install-html-am:
  730. install-info: install-info-recursive
  731. install-info-am:
  732. install-man:
  733. install-pdf: install-pdf-recursive
  734. install-pdf-am:
  735. install-ps: install-ps-recursive
  736. install-ps-am:
  737. installcheck-am:
  738. maintainer-clean: maintainer-clean-recursive
  739. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  740. -rm -rf $(top_srcdir)/autom4te.cache
  741. -rm -f Makefile
  742. maintainer-clean-am: distclean-am maintainer-clean-generic
  743. mostlyclean: mostlyclean-recursive
  744. mostlyclean-am: mostlyclean-generic
  745. pdf: pdf-recursive
  746. pdf-am:
  747. ps: ps-recursive
  748. ps-am:
  749. uninstall-am:
  750. .MAKE: $(am__recursive_targets) all install-am install-strip
  751. .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
  752. am--refresh check check-am clean clean-cscope clean-generic \
  753. cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  754. dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
  755. distcheck distclean distclean-generic distclean-hdr \
  756. distclean-tags distcleancheck distdir distuninstallcheck dvi \
  757. dvi-am html html-am info info-am install install-am \
  758. install-data install-data-am install-dvi install-dvi-am \
  759. install-exec install-exec-am install-html install-html-am \
  760. install-info install-info-am install-man install-pdf \
  761. install-pdf-am install-ps install-ps-am install-strip \
  762. installcheck installcheck-am installdirs installdirs-am \
  763. maintainer-clean maintainer-clean-generic mostlyclean \
  764. mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
  765. uninstall-am
  766. .PRECIOUS: Makefile
  767. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  768. # Otherwise a system limit (for SysV at least) may be exceeded.
  769. .NOEXPORT: